Subject: [OSPF] Alvaro's DISCUSS on OSPF Admin Tags

From: "Acee Lindem (acee)" <[email-masked]>
Date: Sat, 7 Nov 2015 14:58:04 +0000

Hi Shraddha, 

I’ve read through this discussion and I’m wondering why we just can’t
remove this normative text with respect to the interpretation of OSPF Node
Admin tags?  

   1. Since the tags are advertised by a single node, why is do they have
to be unordered? It seems there should be a reason for this even if this
semantic is retained.
   2. Why can’t they be advertised in multiple flooding scopes? There
could be one set of tags applicable at the area scope and another
applicable at the AS wide scope.

In essence, since the tags are purely opaque, it seems you could simply
remove the last 2-3 paragraphs of section 3.2.1 and the last paragraph of
section 3.2.2 as these seem to be rather arbitrary restrictions.

Thanks,
Acee

---

From: Alia Atlas <[email-masked]>
Date: Sat, 7 Nov 2015 11:59:26 -0500

Hi Acee,

Thanks very much for reading through and pulling out the relevant questions.
I'd like to see this conversation resolve quickly.

> to be unordered? It seems there should be a reason for this even if this

I can understand this restriction in terms of implementation complexity &
assumptions.  A router that receives the tag list might want to store them
in
numerical order or such for easier searching.  If the tag order matters,
there
can be rather different requirements in terms of how the listener uses the
information.

> applicable at the AS wide scope.

I agree that I don't see implementation complexity logic driving this.
Perhaps
it allows for storing tags per device in a flat structure instead of
requiring that
they are stored per area?

Regardless, this feels like it has more impact on operational complexity of
having to define the same meaning for different tags for different areas.

Regards,
Alia

> _______________________________________________
> OSPF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ospf
>

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 10 Nov 2015 20:40:32 +0000

Hi Alia, Shraddha,

From: Alia Atlas <[email-masked]<mailto:[email-masked]>>
Date: Sunday, November 8, 2015 at 1:59 AM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>
Cc: Shraddha Hegde <[email-masked]<mailto:[email-masked]>>, OSPF WG List <[email-masked]<mailto:[email-masked]>>, OSPF ADs <[email-masked]<mailto:[email-masked]>>
Subject: Re: [OSPF] Alvaro's DISCUSS on OSPF Admin Tags

Hi Acee,

On Sat, Nov 7, 2015 at 9:58 AM, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> wrote:
Hi Shraddha,

I can understand this restriction in terms of implementation complexity &
assumptions.  A router that receives the tag list might want to store them in
numerical order or such for easier searching.  If the tag order matters, there
can be rather different requirements in terms of how the listener uses the
information.

Perhaps the answer is that we don’t see a use case for maintaining tag order given that they may come from multiple sources it adds a lot of complexity to try and maintain order. Note that the order independence is also in RFC 5130 (IS-IS prefix admin tags) - see section 4.

I agree that I don't see implementation complexity logic driving this.  Perhaps
it allows for storing tags per device in a flat structure instead of requiring that
they are stored per area?

I wouldn’t think so.

This restriction of a single flooding scope wouldn’t preclude this.

Thanks,
Acee

Regards,
Alia

Thanks,
Acee

_______________________________________________
OSPF mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ospf

---

From: Shraddha Hegde <[email-masked]>
Date: Mon, 16 Nov 2015 17:52:06 +0000

Hi Acee/Alia,

Pls see inline..

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Wednesday, November 11, 2015 2:11 AM
To: Alia Atlas <[email-masked]>
Cc: Shraddha Hegde <[email-masked]>; OSPF WG List <[email-masked]>; OSPF ADs <[email-masked]>
Subject: Re: [OSPF] Alvaro's DISCUSS on OSPF Admin Tags

Hi Alia, Shraddha,

Hi Acee,

<Shraddha> The restriction of keeping the tag set unordered ensures that the vendor policy implementations will use node tags as a set and not as an ordered list.
                       Since there are no standards defined for policy module, its hard for the operators  to guess how the vendor policy implementations behave.
                       I think the explicit mention of the tag ordering ensures there is no ambiguity in interpreting the tags.

I wouldn’t think so.

This restriction of a single flooding scope wouldn’t preclude this.
<Shraddha> Tags are independent characteristics of a node. It’s perfectly valid to advertise same tag in different areas so operator need not
                       Define different tags having same meaning for different areas.
                       Since tags are independent characteristics it is well defined whether that characteristic need to be seen by AS wide nodes
                       Or area wide nodes.

Thanks,
Acee

Regards,
Alia

Thanks,
Acee

---

From: Alia Atlas <[email-masked]>
Date: Mon, 16 Nov 2015 13:00:09 -0500

Hi Shraddha & Acee,

On Mon, Nov 16, 2015 at 12:52 PM, Shraddha Hegde <[email-masked]>
wrote:

> Hi Acee/Alia,
>
>
>
> Pls see inline..
>
>
>
> *From:* Acee Lindem (acee) [mailto:[email-masked]]
> *Sent:* Wednesday, November 11, 2015 2:11 AM
> *To:* Alia Atlas <[email-masked]>
> *Cc:* Shraddha Hegde <[email-masked]>; OSPF WG List <[email-masked]>;
> OSPF ADs <[email-masked]>
> *Subject:* Re: [OSPF] Alvaro's DISCUSS on OSPF Admin Tags
>
>
>
> Hi Alia, Shraddha,
>
>
>
> *From: *Alia Atlas <[email-masked]>
> *Date: *Sunday, November 8, 2015 at 1:59 AM
> *To: *Acee Lindem <[email-masked]>
> *Cc: *Shraddha Hegde <[email-masked]>, OSPF WG List <[email-masked]>,
> OSPF ADs <[email-masked]>
> *Subject: *Re: [OSPF] Alvaro's DISCUSS on OSPF Admin Tags
>
>
>
> Hi Acee,
>
>
>
> Perhaps the answer is that we don’t see a use case for maintaining tag
> order given that they may come from multiple sources it adds a lot of
> complexity to try and maintain order. Note that the order independence is
> also in RFC 5130 (IS-IS prefix admin tags) - see section 4.
>
>
>
> <Shraddha> The restriction of keeping the tag set unordered ensures that
> the vendor policy implementations will use node tags as a set and not as an
> ordered list.
>
>                        Since there are no standards defined for policy
> module, its hard for the operators  to guess how the vendor policy
> implementations behave.
>
>                        I think the explicit mention of the tag ordering
> ensures there is no ambiguity in interpreting the tags.
>

 Ok - this makes sense to me.  Let's keep that restriction.

> <Shraddha> Tags are independent characteristics of a node. It’s perfectly
> valid to advertise same tag in different areas so operator need not
>
>                        Since tags are independent characteristics it is
> well defined whether that characteristic need to be seen by AS wide nodes
>
>                        Or area wide nodes.
>

This sounds like an assumption on the meaning for tags that they won't need
to be sent in different
scopes.  I'm not hearing a strong reason to force this assumption.  Let's
relax it in the draft.

If the WG is ok with this resolution, could we get an updated draft this
week so I can approve the draft?

Thanks,
Alia

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 16 Nov 2015 18:42:49 +0000

Hi Alia, Shraddha,

From: Alia Atlas <[email-masked]<mailto:[email-masked]>>
Date: Monday, November 16, 2015 at 1:00 PM
To: Shraddha Hegde <[email-masked]<mailto:[email-masked]>>
Cc: Acee Lindem <[email-masked]<mailto:[email-masked]>>, OSPF WG List <[email-masked]<mailto:[email-masked]>>, OSPF ADs <[email-masked]<mailto:[email-masked]>>
Subject: Re: [OSPF] Alvaro's DISCUSS on OSPF Admin Tags

Hi Shraddha & Acee,

On Mon, Nov 16, 2015 at 12:52 PM, Shraddha Hegde <[email-masked]<mailto:[email-masked]>> wrote:
Hi Acee/Alia,

Pls see inline..

From: Acee Lindem (acee) [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Wednesday, November 11, 2015 2:11 AM
To: Alia Atlas <[email-masked]<mailto:[email-masked]>>
Cc: Shraddha Hegde <[email-masked]<mailto:[email-masked]>>; OSPF WG List <[email-masked]<mailto:[email-masked]>>; OSPF ADs <[email-masked]<mailto:[email-masked]>>
Subject: Re: [OSPF] Alvaro's DISCUSS on OSPF Admin Tags

Hi Alia, Shraddha,

Hi Acee,

I’m ok with this as well. There is precedence with non-order dependence with the IS-IS Admin Tags (Section 4 in RFC 5140).

I wouldn’t think so.

This sounds like an assumption on the meaning for tags that they won't need to be sent in different
scopes.  I'm not hearing a strong reason to force this assumption.  Let's relax it in the draft.

Agreed.

If the WG is ok with this resolution, could we get an updated draft this week so I can approve the draft?

Sounds good.

Thanks,
Acee

Thanks,
Alia

Thanks,
Acee

Regards,
Alia

Thanks,
Acee

---

From: Shraddha Hegde <[email-masked]>
Date: Tue, 17 Nov 2015 04:06:04 +0000

Hi Alia/Acee,

  Do you suggest to remove the  last paragraph in section 3.2.1 or remove the normative language?

Rgds
Shraddha

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Tuesday, November 17, 2015 12:13 AM
To: Alia Atlas <[email-masked]>; Shraddha Hegde <[email-masked]>
Cc: OSPF WG List <[email-masked]>; OSPF ADs <[email-masked]>
Subject: Re: [OSPF] Alvaro's DISCUSS on OSPF Admin Tags

Hi Alia, Shraddha,

Hi Shraddha & Acee,

Pls see inline..

Hi Alia, Shraddha,

Hi Acee,

I wouldn’t think so.

Agreed.

Sounds good.

Thanks,
Acee

Thanks,
Alia

Thanks,
Acee

Regards,
Alia

Thanks,
Acee

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 17 Nov 2015 12:36:39 +0000

Hi Shraddha,

After considering Alvaro’s DISCUSS, I don’t think this restriction is necessary. I’d remove the paragraph.

Thanks,
Acee

From: Shraddha Hegde <[email-masked]<mailto:[email-masked]>>
Date: Monday, November 16, 2015 at 11:06 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, Alia Atlas <[email-masked]<mailto:[email-masked]>>
Cc: OSPF WG List <[email-masked]<mailto:[email-masked]>>, OSPF ADs <[email-masked]<mailto:[email-masked]>>
Subject: RE: [OSPF] Alvaro's DISCUSS on OSPF Admin Tags

Hi Alia/Acee,

Rgds
Shraddha

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Tuesday, November 17, 2015 12:13 AM
To: Alia Atlas <[email-masked]<mailto:[email-masked]>>; Shraddha Hegde <[email-masked]<mailto:[email-masked]>>
Cc: OSPF WG List <[email-masked]<mailto:[email-masked]>>; OSPF ADs <[email-masked]<mailto:[email-masked]>>
Subject: Re: [OSPF] Alvaro's DISCUSS on OSPF Admin Tags

Hi Alia, Shraddha,

Hi Shraddha & Acee,

Pls see inline..

Hi Alia, Shraddha,

Hi Acee,

I wouldn’t think so.

Agreed.

Sounds good.

Thanks,
Acee

Thanks,
Alia

Thanks,
Acee

Regards,
Alia

Thanks,
Acee

---

From: Shraddha Hegde <[email-masked]>
Date: Wed, 18 Nov 2015 04:28:32 +0000

Ok.

Rgds
shraddha

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Tuesday, November 17, 2015 6:07 PM
To: Shraddha Hegde <[email-masked]>; Alia Atlas <[email-masked]>
Cc: OSPF WG List <[email-masked]>; OSPF ADs <[email-masked]>
Subject: Re: [OSPF] Alvaro's DISCUSS on OSPF Admin Tags

Hi Shraddha,

Thanks,
Acee

Hi Alia/Acee,

Rgds
Shraddha

Hi Alia, Shraddha,

Hi Shraddha & Acee,

Pls see inline..

Hi Alia, Shraddha,

Hi Acee,

I wouldn’t think so.

Agreed.

Sounds good.

Thanks,
Acee

Thanks,
Alia

Thanks,
Acee

Regards,
Alia

Thanks,
Acee